Name:		xcb-util
Version:	0.3.1
Release:	2%{?dist}
Summary:	Convenience libraries sitting on top of libxcb

Group:		System Environment/Libraries
License:	MIT
URL:		http://xcb.freedesktop.org
Source0:	http://xcb.freedesktop.org/dist/%{name}-%{version}.tar.bz2
Patch0:         xcb-util-0.3.1-x_inline.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	gperf, pkgconfig, libxcb-devel, m4, xorg-x11-proto-devel
BuildRequires:	chrpath


%description
The xcb-util module provides a number of libraries which sit on top of
libxcb, the core X protocol library, and some of the extension
libraries. These experimental libraries provide convenience functions
and interfaces which make the raw X protocol more usable. Some of the
libraries also provide client-side code which is not strictly part of
the X protocol but which have traditionally been provided by Xlib.


%package 	devel
Summary:	Development and header files for xcb-util
Group:		System Environment/Libraries
Requires:	%{name} = %{version}-%{release}, pkgconfig
%description	devel
Development files for xcb-util.


%prep
%setup -q
%patch0 -p1 -b .x_inline

%build
%configure --with-pic --disable-static

make %{?_smp_mflags}


%check

make check


%install
rm -rf %{buildroot}

make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# remove RPATH
chrpath --delete $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libxcb-icccm.so.1.0.0 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libxcb-property.so.1.0.0 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libxcb-wm.so.0.0.0 $RPM_BUILD_ROOT%{_prefix}/%{_lib}/libxcb-image.so.0.0.0

rm %{buildroot}%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc README
%{_libdir}/*.so.*.*
%{_libdir}/*.so.?


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.so
%{_includedir}/xcb/*.h


%changelog
* Tue Jun 29 2010 Paulo Roma <roma@lcg.ufrj.br> - 0.3.1-2
- slight changes in spec file
- applied xcb-util-0.3.1-x_inline.patch

* Mon Nov 24 2008 Michal Nowak <mnowak@redhat.com> - 0.3.1-1
- 0.3.1
- fix license issue (Jonathan Landis)

* Fri Sep 19 2008 Michal Nowak <mnowak@redhat.com> - 0.3.0-1
- bump to 0.3.0

* Sun Aug 17 2008 Michal Nowak <mnowak@redhat.com> - 0.2.1-2
- new build deps: gperf, pkgconfig, libxcb, m4, xorg-x11-proto-devel
- not installing *.a files anymore
- configure with --with-pic

* Mon Aug 04 2008 Michal Nowak <mnowak@redhat.com> - 0.2.1-1
- initial package

